/*
This program has been developed by students from the bachelor Computer Science at Utrecht University within the Software Project course.
© Copyright Utrecht University (Department of Information and Computing Sciences)
*/

package entity

/*
MessageStruct describes outgoing messages from the query service
*/
type MessageStruct struct {
	QueryID      string      `json:"queryID"`
	Type         string      `json:"type"`
	Value        interface{} `json:"value"`
	MLAttributes interface{} `json:"mlAttributes"`
}

/*
StatusMessageStruct describes a status message
*/
type StatusMessageStruct struct {
	Type  string `json:"type"`
	Value Status `json:"value"`
}

/*
Status describes the query status
*/
type Status struct {
	Status  string `json:"status"`
	QueryID string `json:"queryID"`
}
